summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Petar Petrov2011-12-18 07:19:55 +0100
committer Robby Workman2011-12-18 07:19:55 +0100
commitb77ef0870456f80022a8d92108c8887d0a170e4f (patch)
tree474263517e2994afaee1b39abc0d615d0caeff1b /desktop
parentad4ad1471a706b8393709a66ccd505744f69f0d4 (diff)
downloadslackbuilds-b77ef0870456f80022a8d92108c8887d0a170e4f.tar.gz
desktop/polar-cursor-themes: Added (A smooth and simple cursor set)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/polar-cursor-themes/README6
-rw-r--r--desktop/polar-cursor-themes/polar-cursor-themes.SlackBuild76
-rw-r--r--desktop/polar-cursor-themes/polar-cursor-themes.info10
-rw-r--r--desktop/polar-cursor-themes/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/desktop/polar-cursor-themes/README b/desktop/polar-cursor-themes/README
new file mode 100644
index 0000000000..bb3a134af3
--- /dev/null
+++ b/desktop/polar-cursor-themes/README
@@ -0,0 +1,6 @@
+Polar Cursor Theme is a smooth and simple cursor set created primarily
+in Inkscape. There are three cursor sets included in this package:
+
+1) PolarCursorTheme (default): has orange busy cursors
+2) PolarCursorTheme-Blue: blue variant
+3) PolarCursorTheme-Green: green variant
diff --git a/desktop/polar-cursor-themes/polar-cursor-themes.SlackBuild b/desktop/polar-cursor-themes/polar-cursor-themes.SlackBuild
new file mode 100644
index 0000000000..ecf097c578
--- /dev/null
+++ b/desktop/polar-cursor-themes/polar-cursor-themes.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for polar-cursor-themes
+
+# Copyright 2011 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=polar-cursor-themes
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=PolarCursorThemes
+SRCVER=27913
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCVER-$SRCNAM.tar.bz2
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a * $PKG/usr/share/icons
+
+# Clean up (a little bit)
+rm -rf $PKG/usr/share/icons/PolarCursorTheme/{COPYRIGHT~,index.theme~}
+rm -rf $PKG/usr/share/icons/PolarCursorTheme-Blue/{COPYRIGHT~,index.theme~}
+rm -rf $PKG/usr/share/icons/PolarCursorTheme-Green/{COPYRIGHT~,index.theme~}
+
+# Geez, looks like upstream needs to know about "set nobackup" in vimrc...
+# I'm afraid to clean these up, because a few of them don't have a non-~'d
+# equivalent :/ Oh well, we can still fixup file permissions. --rworkman
+find $PKG -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp PolarCursorTheme/COPYRIGHT~ $PKG/usr/doc/$PRGNAM-$VERSION/COPYRIGHT
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/polar-cursor-themes/polar-cursor-themes.info b/desktop/polar-cursor-themes/polar-cursor-themes.info
new file mode 100644
index 0000000000..f554e528ac
--- /dev/null
+++ b/desktop/polar-cursor-themes/polar-cursor-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="polar-cursor-themes"
+VERSION="1.4"
+HOMEPAGE="http://gnome-look.org/content/show.php/Polar+Cursor+Theme?content=27913"
+DOWNLOAD="http://gnome-look.org/CONTENT/content-files/27913-PolarCursorThemes.tar.bz2"
+MD5SUM="886068e0feadd2a07c8b206b211548ec"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="rworkman"
diff --git a/desktop/polar-cursor-themes/slack-desc b/desktop/polar-cursor-themes/slack-desc
new file mode 100644
index 0000000000..5936b0b196
--- /dev/null
+++ b/desktop/polar-cursor-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+polar-cursor-themes: polar-cursor-themes (A smooth and simple cursor set)
+polar-cursor-themes:
+polar-cursor-themes: There are three cursor sets included in this package:
+polar-cursor-themes: PolarCursorTheme (default), PolarCursorTheme-Blue and
+polar-cursor-themes: PolarCursorTheme-Green
+polar-cursor-themes:
+polar-cursor-themes:
+polar-cursor-themes:
+polar-cursor-themes:
+polar-cursor-themes:
+polar-cursor-themes: \ No newline at end of file